#{extends 'border.html'/}
<div class="container">
#{form @masterdata.ManufakturCtr.createSubmit(), method:'POST', class:'form-horizontal'}

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{masterdata.ManufakturCtr.index()}">&{'merk.label'}</a></li>
                <li class="active">&{'tambah.label'} &{'merk.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <!--#{alert /}-->

    <div class="row">
        <div class="col-md-12">
            <!-- Toolbar -->
            <div class="toolbar">
				#{backButton /}
				#{saveButton /}
            </div>
            <!-- End Toolbar -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="form-group">
                        <label class="col-md-2 control-label">&{'nama_komoditas.label'}</label>
                        <div class="col-md-4">
                            <div class="#{errorClass 'komoditas'/}">
                                <select class="form-control select2" name="komoditas.id">
                                    <option value="">&{'pilih.label'}</option>
									#{list komoditasList, as:'k'}
                                        <option value="${k.id}" #{if k.id.equals(komoditas?.id)} selected #{/if}}>${k.nama_komoditas}</option>
									#{/list}
                                </select>
                                <span class="help-block">#{error 'komoditas' /}</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div id="alert-manufaktur-alphanum" style="display: none">#{information "Nama Manufaktur hanya boleh berisi alphanumeric.", type:'danger'/}</div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
				#{alert /}
                <div class="panel-heading"><h5>&{'merk.label'}</h5></div>
                <div class="panel-body">
                    <div class="toolbar">
                        <a id="addInput" onclick="validateManufaktur()" class="btn btn-primary"><i class="fa fa-plus"></i> &{'tambah.label'}</a>
                        <a id="removeAllInput" class="btn btn-danger"><i class="fa fa-trash"></i> &{'kosongkan.label'}</a>
                    </div>
                    <div style="overflow-x: auto">
                        <table class="table table-condensed">
                            <thead>
                            <tr>
                                <th width="15">&{'nomor.label'}</th>
                                <th>&{'nama_manufaktur.label'}</th>
                            </tr>
                            </thead>
                            <tbody id="inputForm">
								#{if manufakturList != null}
									#{list items:manufakturList, as:'manufaktur'}
                                    <tr>
                                        <td>
                                            <a id="removeInput" class="btn btn-danger"><i class="fa fa-trash"></i></a>
                                        </td>
                                        <td class="#{errorClass 'manufaktur_'+manufaktur_index/}">
                                            <input class="form-control" name="nama_manufaktur_arr" value="${manufaktur}" pattern="[a-zA-Z0-9\s]+"/>
                                            <span class="help-block">#{error 'manufaktur_'+manufaktur_index /}</span>
                                        </td>
                                    </tr>
									#{/list}
								#{/if}
								#{else}
                                <tr>
                                    <td>
                                        <a id='removeInput' class='btn btn-danger'><i class="fa fa-trash"></i></a>
                                    </td>
                                    <td><input class="form-control" name="nama_manufaktur_arr"/></td>
                                </tr>
								#{/else}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

#{/form}
</div>
#{validationPackage/}

#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function($) {
        jQuery(function () {
            jQuery.getScript("@{'/public/javascripts/manufaktur/manufaktur-validation.js'}");
        });

        $("body").on("click","#removeInput",function(){
            $(this).parent().parent().remove();
        });

        $("#removeAllInput").on("click",function(){
            $("#inputForm tr").remove();
        });
    });
</script>
#{/set}